<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
		<groupId>org.jeecgframework.boot</groupId>
		<artifactId>jeecg-boot-parent</artifactId>
		<version>2.4.5</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>

	<artifactId>jeecg-boot-module-system</artifactId>

	<repositories>
		<repository>
			<id>aliyun</id>
			<name>aliyun Repository</name>
			<url>https://maven.aliyun.com/nexus/content/groups/public</url>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>jeecg</id>
			<name>jeecg Repository</name>
			<url>https://maven.jeecg.org/nexus/content/repositories/jeecg</url>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
	</repositories>

	<dependencies>
		<dependency>
			<groupId>org.jeecgframework.boot</groupId>
			<artifactId>jeecg-system-local-api</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jeecgframework.boot</groupId>
			<artifactId>jeecg-boot-base-core</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jeecgframework</groupId>
			<artifactId>jeewx-api</artifactId>
			<version>1.4.2</version>
		</dependency>
		<dependency>
			<groupId>org.jeecgframework.jimureport</groupId>
			<artifactId>spring-boot-starter-jimureport</artifactId>
			<version>1.3.4-beta</version>
			<exclusions>
				<exclusion>
					<groupId>org.jeecgframework</groupId>
					<artifactId>autopoi-web</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.aliyun</groupId>
			<artifactId>aliyun-java-sdk-mts</artifactId>
			<version>2.5.2</version>
		</dependency>
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>easyexcel</artifactId>
			<version>1.1.2-beat1</version>
		</dependency>
		<dependency>
			<groupId>cn.com.ctop</groupId>
			<artifactId>opencv</artifactId>
			<version>4.2.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/../lib/opencv-4.2.0.jar</systemPath>
		</dependency>
		<!-- commons -->
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>${commons.version}</version>
		</dependency>
		<dependency>
			<groupId>commons-lang</groupId>
			<artifactId>commons-lang</artifactId>
			<version>${commons.version}</version>
		</dependency>
		<dependency>
			<groupId>org.codehaus.groovy</groupId>
			<artifactId>groovy</artifactId>
			<version>${groovy.version}</version>
		</dependency>

		<dependency>
			<groupId>com.github.binarywang</groupId>
			<artifactId>weixin-java-cp</artifactId>
			<version>3.6.0</version>
		</dependency>

		<dependency>
			<groupId>thirtpart</groupId>
			<artifactId>jave</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${project.basedir}/../lib/jave-1.0.jar</systemPath>
		</dependency>

		<dependency>
			<groupId>com.tencentcloudapi</groupId>
			<artifactId>tencentcloud-sdk-java</artifactId>
			<version>3.1.62</version><!-- 注：这里只是示例版本号，请获取并替换为 最新的版本号 -->
		</dependency>

		<dependency>
			<groupId>com.qcloud</groupId>
			<artifactId>cos_api</artifactId>
			<version>5.6.25</version>
		</dependency>
		<dependency>
			<groupId>net.sourceforge.javacsv</groupId>
			<artifactId>javacsv</artifactId>
			<version>2.0</version>
		</dependency>

		<dependency>
			<groupId>org.apache.pdfbox</groupId>
			<artifactId>fontbox</artifactId>
			<version>2.0.15</version>
		</dependency>

		<dependency>
			<groupId>com.github.tony19</groupId>
			<artifactId>apktool-lib</artifactId>
			<version>1.4.4-3</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>com.googlecode.plist</groupId>
			<artifactId>dd-plist</artifactId>
			<version>1.16</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>io.appium</groupId>
			<artifactId>java-client</artifactId>
			<version>7.2.0</version>
		</dependency>
		<dependency>
			<groupId>org.bytedeco</groupId>
			<artifactId>javacv</artifactId>
			<version>1.4.2</version>
		</dependency>
		<dependency>
			<groupId>org.bytedeco</groupId>
			<artifactId>javacv-platform</artifactId>
			<version>1.4.2</version>
		</dependency>
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-boot-starter</artifactId>
			<version>${mybatis-plus.version}</version>
		</dependency>
		<dependency>
			<groupId>org.jeecgframework.boot</groupId>
			<artifactId>jeecg-boot-base-tools</artifactId>
		</dependency>
		<dependency>
			<groupId>org.elasticsearch.client</groupId>
			<artifactId>elasticsearch-rest-high-level-client</artifactId>
			<version>7.1.0</version>
		</dependency>
		<dependency>
			<groupId>org.elasticsearch.client</groupId>
			<artifactId>elasticsearch-rest-client</artifactId>
			<version>7.1.0</version>
		</dependency>
		<dependency>
			<groupId>org.elasticsearch</groupId>
			<artifactId>elasticsearch</artifactId>
			<version>7.1.0</version>
		</dependency>
			<!--		Csv 解析包-->
		<dependency>
			<groupId>com.opencsv</groupId>
			<artifactId>opencsv</artifactId>
			<version>4.6</version>
		</dependency>

	</dependencies>

	<build>
		<resources>
			<!-- 解决MyBatis配置文件引入问题 -->
			<resource>
				<directory>src/main/java</directory>
				<includes>
					<include>**/*.properties</include>
					<include>**/*.xml</include>
					<include>**/*.json</include>
				</includes>
				<!-- 是否替换资源中的属性-->
				<filtering>true</filtering>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
			</resource>
		</resources>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
					<!--微服务模式下修改为true,跳过此打包插件，否则微服务模块无法引用-->
					<skip>true</skip>
					<includeSystemScope>true</includeSystemScope>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>